Summary: C port of the HdrHistogram 
Name:    HdrHistogram_c
Version: 0.11.8
Release: 3%{?dist}
License: BSD and Public Domain
URL:     https://github.com/HdrHistogram/%{name}
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc g++ cmake zlib-devel

%description
C port of High Dynamic Range (HDR) Histogram.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use
%{name}.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DHDR_HISTOGRAM_INSTALL_STATIC=OFF .
%cmake_build

%install
rm -rf %{buildroot}
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libhdr_histogram.so.*
%exclude %{_bindir}/*

%files devel
%dir %{_includedir}/hdr
%{_includedir}/hdr/hdr_thread.h
%{_includedir}/hdr/hdr_interval_recorder.h
%{_includedir}/hdr/hdr_writer_reader_phaser.h
%{_includedir}/hdr/hdr_time.h
%{_includedir}/hdr/hdr_histogram_version.h
%{_includedir}/hdr/hdr_histogram_log.h
%{_includedir}/hdr/hdr_histogram.h
%{_libdir}/libhdr_histogram.so
%{_libdir}/cmake/hdr_histogram/*.cmake
%{_libdir}/pkgconfig/hdr_histogram.pc


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.8-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.8-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.11.8-1
- Upgrade to version 0.11.8

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 0.11.0-1
- initial build
